Loading...
Searching...
No Matches
lock.h File Reference

Simple lock implementation. More...

`#include <l4/sys/thread.h>`
`#include <l4/sys/compiler.h>`
`#include <l4/util/atomic.h>`
Include dependency graph for lock.h:

Go to the source code of this file.

## Detailed Description

Simple lock implementation.

Does only work if all thread have the same priority!

Date
  02/1997

Author
  Michael Hohmuth hohmu.nosp@m.th@o.nosp@m.s.inf.nosp@m..tu-.nosp@m.dresd.nosp@m.en.d.nosp@m.e

Definition in file lock.h.